swapinfo.d(1m)

NAME
swapinfo.d - print virtual memory info. Uses DTrace.

SYNOPSIS
swapinfo.d

DESCRIPTION
Prints swap usage details for RAM and disk based swap. This script is UNDER CONSTRUCTION, check for newer versions. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

FIELDS

RAM Total
    Total RAM installed

RAM Unusable
    RAM consumed by the OBP and TSBs

RAM Kernel
    Kernel resident in RAM (and usually locked)

RAM Locked
    Locked memory pages from swap (Anon)

RAM Used
    anon + exec + file pages used

RAM Free
    free memory + page cache free

Disk Total
    Total disk swap configured

Disk Resv
    Disk swap allocated + reserved

Disk Avail
    Disk swap available for reservation

Swap Total
    Total Virtual Memory usable

Swap Resv
    VM allocated + reserved

Swap Avail
    VM available for reservation

Swap MinFree
    VM kept free from reservations

EXAMPLES

Print info,
    # swapinfo.d

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

ADDITIONAL RESOURCES
swapstat - K9Toolkit vmstat 1 2; swap -s; echo ::memstat | mdb -k RMCmem - The MemTool Package RICHPse - The SE Toolkit "Clearing up swap space confusion" Unix Insider, Adrian Cockcroft "Solaris Internals", Jim Mauro, Richard McDougall /usr/include/vm/anon.h, /usr/include/sys/systm.h

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)